<?php
/*
$_GET['nombre']='abrir2012';
$extension = ".txt";
$nombre_archivo = $_GET['nombre'].$extension;
$carpeta_destino = dirname(__FILE__);
$archivo = $carpeta_destino ."/".$nombre_archivo;
$f = fopen($archivo,"w");
fputs($f,"");
fclose($f);
*/
////


include("../bd/sql_variables.php");
$con= mysqli_connect("$sql_host", "$sql_usuario", "$sql_pass") or die(header ("No Disponible Servidor de Base de Datos"));
mysqli_select_db($con, "$sql_db");


//$nombre = $_POST["nombre"]; 
$anno= $_GET['anno'];
$mes=$_GET['mes'];
$idtp=$_GET['idtp'];
$idj=$_GET['idj'];
$ids=$_GET['ids'];


//$anno='2012';
//$mes='4';
//$idtp='1';
//$idj='1';
//$ids='1';

//dependencia  del personal

//armando grupo de servicios y sus dependencias
$sqlserv="select j_id as codj, s_id as cods, s_abrev as nom from tb_servicio where j_id='$idj' and s_id='$ids'";
$resultserv = mysqli_query($con,$sqlserv);
while ($rows= mysqli_fetch_array($resultserv)){
$nomserv =$rows['nom'];
}
if($nomserv==''){
$sqldepa="select j_id as codj, 0 as cods ,j_abrev as nom from tb_jefatura where j_id='$idj'";
$resultdepa = mysqli_query($con,$sqldepa);
while ($rowj= mysqli_fetch_array($resultdepa)){
$nomserv =$rowj['nom'];
}
}

//funcion de descarga

function DescargarArchivo($fichero){
//echo $fichero."<br>";
$basefichero = basename($fichero);

header( "Content-Type: application/octet-stream");

header( "Content-Length: ".filesize($fichero));

header( "Content-Disposition:attachment;filename=$basefichero");
readfile($fichero);
}

$sqlaskaprobado="SELECT * FROM tb_usuaprueba where uap_anno='$anno' and uap_mes='$mes' and s_id='$ids' and j_id='$idj' and uap_idtp='$idtp' and uap_tipoproc='1'";
$resultaprob = mysqli_query($con,$sqlaskaprobado);
	if(mysqli_num_rows($resultaprob)!=0){
//codigo para conseguir el perfil del personal

$sqlaskss="SELECT tp_desc as descripcion, tp_codgh as codgh FROM tb_tipoperson where tp_id='$idtp'";
$resultss = mysqli_query($con,$sqlaskss);
	while ($rowss= mysqli_fetch_array($resultss)){
		$servicio =  $rowss['codgh'];
	}
	
if(strlen($mes)<2){
	$mesn="0".$mes;
	}else{
	$mesn=$mes;
	}
	
//$nombre = "Salida";
//echo "Nombre: ".$nombre; 

$nombrea =  $servicio.$mesn.substr($anno,2,2);
$nombre_archivo = $nombrea.'.txt'; 
//$contenido = $nombre; para buscar el if 

if(is_file($nomserv."/".$nombre_archivo)){

unlink($nomserv."/".$nombre_archivo);
}
fopen($nomserv."/".$nombre_archivo, 'a+'); 

// Asegurarse primero de que el archivo existe y puede escribirse sobre el. 
if (is_writable($nomserv."/".$nombre_archivo)) { 

   // En nuestro ejemplo estamos abriendo $nombre_archivo en modo de adicion. 
   // El apuntador de archivo se encuentra al final del archivo, asi que 
   // alli es donde ira $contenido cuando llamemos fwrite(). 
   if (!$gestor = fopen($nomserv."/".$nombre_archivo, 'a')) { 
         echo "No se puede abrir el archivo ($nombre_archivo)"; 
         exit; 
   } 
	
	
	//listado del personal programado del mes
	$sqlask = "select a.ug_id as cod, a.ua_dni as dni, CONCAT(a.ua_apepat,' ',a.ua_apemat,' ',a.ua_nom) as nombre, ";
	$sqlask = $sqlask." b.ut_idserva as idsa, a.ua_numcoleg as codcol, c.tc_idcont as idcont from tb_usutrab b  inner join tb_usuasist a on a.ug_id= b.ug_id inner join tb_usudep c on a.ug_id=c.ug_id where b.j_id='$idj'";
	$sqlask = $sqlask." and b.tp_id='$idtp' and b.ut_idserva='$ids' and b.uap_anno='$anno' and b.uap_mes ='$mes' and a.ua_dni <> ''  and c.ua_estado not in ('0') order by nombre";
	//echo $sqlask;
	//die();
	$resultper1 = mysqli_query($con,$sqlask);
    if(mysqli_num_rows ($resultper1)>0){
	$cant_registros = mysqli_num_rows ($resultper1); 
	while ($row= mysqli_fetch_array($resultper1)){
	$cod =  $row['cod'];
	$dni =  $row['dni'];
	$nombre =  $row['nombre'];
	$colegiatura =  $row['codcol'];
	$idcont =  $row['idcont'];
	//echo $colegiatura."<br>";
	//pregunta por el area
	
	//sumando datos de la consulta de la programacion
	//consulta si es enfermera
	if($idtp=='1'){
	$sqlhorario = "SELECT a.hp_dia as dia,(select actenf from tb_area where ga_id=a.ga_id and a_id= a.a_id) as activ, (select subactenf from tb_area where ga_id=a.ga_id and a_id= a.a_id) as subactiv, (select areagh from tb_area where ga_id=a.ga_id and a_id= a.a_id) as ubica, (select h_id from tb_horario where h_id=a.h_id and h_horatipo=1) as hid, (select date_format(h_horaini,'%k:%i') from tb_horario where h_id=a.h_id and h_horatipo=1) as hini, ";
	$sqlhorario = $sqlhorario."(select date_format(h_horafin,'%k:%i') as hfin from tb_horario where h_id=a.h_id and h_horatipo=1) as hfin, (select h_horaturn from tb_horario where h_id=a.h_id and h_horatipo=1) as hturn, hp_tipohora as tphora  FROM tb_horaprog".$anno." a where a.ug_id='$cod'"; 
	$sqlhorario = $sqlhorario."and a.uap_anno='$anno' and a.uap_mes='$mes' and a.j_id='$idj' and a.s_id='$ids' and a.tp_id='$idtp' and a.hp_tipohora='0'";
	}elseif($idtp=='2'){
	$sqlhorario = "SELECT a.hp_dia as dia, (select acttec from tb_area where ga_id=a.ga_id and a_id= a.a_id) as activ, (select subacttec from tb_area where ga_id=a.ga_id and a_id= a.a_id) as subactiv, (select areagh from tb_area where ga_id=a.ga_id and a_id= a.a_id) as ubica, (select h_id from tb_horario where h_id=a.h_id and h_horatipo=1) as hid, (select date_format(h_horaini,'%k:%i') from tb_horario where h_id=a.h_id and h_horatipo=1) as hini, ";
	$sqlhorario = $sqlhorario."(select date_format(h_horafin,'%k:%i') as hfin from tb_horario where h_id=a.h_id and h_horatipo=1) as hfin, (select h_horaturn from tb_horario where h_id=a.h_id and h_horatipo=1) as hturn, hp_tipohora as tphora  FROM tb_horaprog".$anno." a where a.ug_id='$cod'"; 
	$sqlhorario = $sqlhorario."and a.uap_anno='$anno' and a.uap_mes='$mes' and a.j_id='$idj' and a.s_id='$ids' and a.tp_id='$idtp'  and a.hp_tipohora='0'";
	}
	
	//echo $sqlhorario."<br>";
	$resulthr = mysqli_query($con,$sqlhorario);
	//print_r($resulthr);
	if(mysqli_num_rows($resulthr)>0){
	$cant_registros2 = mysqli_num_rows($resulthr); 
	while ($rowh= mysqli_fetch_array($resulthr)){
	$fechacad='';
	$dia =  $rowh['dia'];
	$idh =  $rowh['hid'];
	$hini =  $rowh['hini'];
	$hfin =  $rowh['hfin'];
	$hturn =  $rowh['hturn'];
	$tphora =  $rowh['tphora'];
	$activ =  $rowh['activ'];
	$subactiv =  $rowh['subactiv'];
	$ubica =  $rowh['ubica'];
	$nrocupos ="  0";
	$um="  H";
	
	if($ubica ==''){
	     $ubica	= 	"0000";
         $nrocupos ="   "	;
			$um="  C";
		}
		
	
	//if($dni=='40473565'){
	//echo $hturn."-".$hini."-".$hfin."<br>";
	//}
	//pregunta por el tipo de contrato y hora extra
	if($tphora==1){
		if($idcont==3 || $idcont==6 || $idcont==7){
				$tphora=4;
		}
	}
	
	
	if($activ<>''){
	//pregunta si es de noche
	/*if($hturn=='N'){
	//echo $hini."-".$hfin."<br>";
	if($hini == "19:00" && $hfin == "7:00"){
	$codgh1='G1';
	$hora1 = '19.0024.00';
	$codgh2='G2';
	$hora2 = ' 0.00 7.00';
	}
	if($hini == "19:30" && $hfin == "7:30"){
	$codgh1='Q1';
	$hora1 = '19.3024.00';
	$codgh2='Q2';
	$hora2 = ' 0.00 7.30';
	}
	
	if($hini == '20:00' && $hfin == '8:00'){
	$codgh1='UI';
	$hora1 = "20.0024.00";
	$codgh2='HE';
	$hora2 = " 0.00 8.00";
	}
	
	
	if($mes<10){
	$mesf="0".$mes;
	}else{
	$mesf=$mes;
	}
	if($dia<10){
	$diaf="0".$dia;
	}else{
	$diaf=$dia;
	}
   
   $fechacad= $anno.$mesf.$diaf;
    //$contenido = $servicio.$fechacad.$codgh1.$cod.$activ.$ubica.$hora1."0".$tphora."\t\t\t\t\t".$subactiv.$dni."H"."\t \t"."P".$nombre."\r\n"; 
	if($colegiatura<>''){
	    if(strlen($colegiatura)==3){
				$ncoleg = "  ".$colegiatura;
		}
		if(strlen($colegiatura)==4){
				$ncoleg = " ".$colegiatura;
		}
		if(strlen($colegiatura)==5){
				$ncoleg = $colegiatura;
		}
		
		}else{
		$ncoleg = "     ";
		}
   //$contenido = $servicio.$fechacad.$codgh1.$ncoleg.$activ.$ubica.$hora1."0".$tphora."\t\t\t\t\t".$subactiv.$dni."H"."\t \t"."P".$nombre."\r\n"; 
   
   $contenido = $servicio.$fechacad.$codgh1.$ncoleg.$activ.$ubica.$hora1."0  ".$tphora."                                           ".$subactiv.$dni."  H"."\r\n";
  
  
   if (fwrite($gestor, $contenido) === FALSE) { 
      exit; 
   }
   $mesd = mktime( 0, 0, 0, $mes, 1, $anno ); 
   $numeroDeDias = intval(date("t",$mesd)); 
   //echo "numero de dias: ".$numeroDeDias;
   //$fechacad= $anno.$mesf.$diaf;
   if(($dia+1)>$numeroDeDias)
   {
   if($mes==12){
		$mesf2="01";
		$diaf2="01";
		$annof2=$anno+1;
   }else{
		$mesf2 = $mes + 1;
		$diaf2="01";
		$annof2=$anno;
   }
   }else{
   $diaf2= $dia + 1;
   $mesf2= $mes;
   $annof2=$anno;
   }
   if(strlen($mesf2)<2){
	$mesf2="0".$mesf2;
	}
	if(strlen($diaf2)<2){
	$diaf2="0".$diaf2;
	}
   $fechacad2= $annof2.$mesf2.$diaf2;
   //$contenido = $servicio.$fechacad2.$codgh2.$cod.$activ.$ubica.$hora2."0".$tphora."\t\t\t\t\t".$subactiv.$dni."H"."\t\t"."P".$nombre."\r\n"; 
   if($colegiatura<>''){
	    if(strlen($colegiatura)==3){
				$ncoleg = "  ".$colegiatura;
		}
		if(strlen($colegiatura)==4){
				$ncoleg = " ".$colegiatura;
		}
		if(strlen($colegiatura)==5){
				$ncoleg = $colegiatura;
		}
		}else{
		$ncoleg = "     ";
		}
    //$contenido = $servicio.$fechacad2.$codgh2.$ncoleg.$activ.$ubica.$hora2."0".$tphora."\t\t\t\t\t".$subactiv.$dni."H"."\t\t"."P".$nombre."\r\n";
	
	$contenido = $servicio.$fechacad2.$codgh2.$ncoleg.$activ.$ubica.$hora2."0  ".$tphora."                                           ".$subactiv.$dni."  H"."\r\n";   
	
   if (fwrite($gestor, $contenido) === FALSE) { 
      exit; 
   } 
   //echo $contenido."<br>";
   }
   else 
   {*/
	
	$sqlaskidgh ="select h_codgh as codgh from tb_horario where h_id='$idh'";
	//echo $sqlaskidgh."<br>";
	$resultcodgh = mysqli_query($con,$sqlaskidgh);
	
	if(mysqli_num_rows($resultcodgh)!=0){
	while ($row= mysqli_fetch_array($resultcodgh)){
	$codhoragh = $row['codgh'];
	}
		
	if($mes<10){
	$mesf="0".$mes;
	}else{
	$mesf=$mes;
	}
	if($dia<10){
	$diaf="0".$dia;
	}else{
	$diaf=$dia;
	}
	 $fechacad= $anno.$mesf.$diaf;
     // Escribir $contenido a nuestro arcivo abierto. 
	  // $contenido = $servicio.$fechacad.$codhoragh.$cod.$activ.$ubica.str_replace(':','.',$hini).str_replace(':','.',$hfin)."0".$tphora."\t\t\t\t\t".$subactiv.$dni."H"."\t\t"."P".$nombre."\r\n"; 
	  if($colegiatura<>''){
		if(strlen($colegiatura)==3){
				$ncoleg = "  ".$colegiatura;
		}
		if(strlen($colegiatura)==4){
				$ncoleg = " ".$colegiatura;
		}
		if(strlen($colegiatura)==5){
				$ncoleg = $colegiatura;
		}
		
		if(strlen($colegiatura)>5){
				$ncoleg = $colegiatura*1;
		}
	  
	    }else{
		$ncoleg = "     ";
		}
     //$contenido = $servicio.$fechacad.$codhoragh.$ncoleg.$activ.$ubica.str_replace(':','.',$hini).str_replace(':','.',$hfin)."0".$tphora."\t\t\t\t\t".$subactiv.$dni."H"."\t\t"."P".$nombre."\r\n"; 
	 if(strlen($hini)<5){
	   $hini = " ".$hini;
	 }
	 if(strlen($hfin)<5){
	   $hfin = " ".$hfin;
	 }
	 //$contenido = $servicio.$fechacad.$codhoragh.$ncoleg.$activ.$ubica.str_replace(':','.',$hini).str_replace(':','.',$hfin)."0  ".$tphora."                                           ".$subactiv.$dni."  H"."\t\t"."P"."\r\n"; 
	 
	   //$contenido = $servicio.$fechacad.$codhoragh.$ncoleg.$activ.$ubica.str_replace(':','.',$hini).str_replace(':','.',$hfin)."0  ".$tphora."                                           ".$subactiv.$dni."  H"."\r\n";
	  
	  if($ubica!="0000"){
		  if($ubica=="XXXX"){
			  $contenido = $servicio.$fechacad.$codhoragh.$ncoleg.$activ."    ".str_replace(':','.',$hini).str_replace(':','.',$hfin).$nrocupos.$tphora."                                           ".$subactiv.$dni.$um."\r\n";
		  }else{
			  $contenido = $servicio.$fechacad.$codhoragh.$ncoleg.$activ.$ubica.str_replace(':','.',$hini).str_replace(':','.',$hfin).$nrocupos.$tphora."                                           ".$subactiv.$dni.$um."\r\n";
		  }
	  	  
	  }
	  
   }//termina de cargar los datos
   
	   if (fwrite($gestor, $contenido) === FALSE) { 
	       echo "No se puede escribir al archivo ($nombre_archivo)"; 
	       exit; 
	   } 
	  // }//termina el else
   }
   
   //echo $q."-".$cant_registros2."-2<br>";
	}}
   //echo $p."-".$cant_registros."-1<br>";
    $p = $p + 1;
	}}
    
   //echo "&Eacute;xito, se escribi&oacute; ($contenido) al archivo ($nombre_archivo)"; 
   fclose($gestor); 
   DescargarArchivo($nomserv."/".$nombre_archivo);
} 
//salta si no escribio el archivo
else { 
   echo "No se puede escribir sobre el archivo $nombre_archivo"; 
}
//si no hay programacion aprobada 
}else{ 
echo "<script type='text/javascript'>alert('PROGRAMACION AUN NO ESTA LISTA');window.close();</script>";
}
?> 

